RPC_GSS_SVC_MAX_DATA_LENGTH(3)

NAME
rpc_gss_svc_max_data_length - calculate maximum data size

SYNOPSIS
#include <rpc/rpcsec_gss.h>
int
rpc_gss_svc_max_data_length(struct svc_req *req, int max_tp_unit_len);

DESCRIPTION
Calculate the maximum message size that will fit into a packet of size max_tp_unit_len, given the current service and QoP setting.

PARAMETERS

req An RPC request

max_tp_unit_len
    Maximum packet size of the underlying transport protocol

RETURN VALUES
The maximum message size that can be encoded

AVAILABILITY
The rpc_gss_svc_max_data_length() function is part of libtirpc.

SEE ALSO
rpc(3), gssapi(3), rpcsec_gss(3)

AUTHORS
This manual page was written by Doug Rabson <dfr@FreeBSD.org>.